# Interface SocketOption<T>

Type Parameters:
  `T` - The type of the socket option value.

All Known Subinterfaces:
  `SctpSocketOption<T>`

public interface SocketOption<T>
A socket option associated with a socket.

In the `channels` package, the `NetworkChannel` interface defines the `setOption` and `getOption` methods to set and query the channel's socket options.

Since:
  1.7
See Also:
  - `StandardSocketOptions`

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
Returns the name of the socket option.
`Class<T>`
`type()`
Returns the type of the socket option value.

## Method Details

### name

String name()
Returns the name of the socket option.

Returns:
  the name of the socket option

### type

Class<T> type()
Returns the type of the socket option value.

Returns:
  the type of the socket option value